Subject: bug#27991: 26.0.50; TRAMP on OSX to Windows: smbclient not available

From: James Nguyen <[email-masked]>
Date: Mon, 07 Aug 2017 17:07:45 -0700

Michael Albinus <[email-masked]> writes:

I'm wondering if we should at least characterize the situation for
TRAMP+OSX+Windows. If the new OSX versions don't have an smbclient
(and that's what I'm assuming) anymore, then although it's not an Emacs
problem, it's at least a 'good to know' and if someone were interested,
they'd be able to look and see if they can shoehorn something else to
get the TRAMP interaction between the two working again.

To clarify, at this point, I'm not sure if it's a problem on my end, a
known issue, a problem with Emacs (unlikely), on Apple, etc.

If someone with a recent version of OSX can chime in, that'd be great!

Thanks for replying Michael.

> James Nguyen <[email-masked]> writes:
>
>> This might be a duplicate bug report:
>>
>> I'm trying to use TRAMP from OSX and it looks like smbclient is not available
>> anymore.
>
> Maybe it is still there, but at another location. In this case, you
> could say
>
> (setq tramp-smb-program "/path/to/smbclient")
>
>> I tried using 'smbutil' instead and it doesn't seem to be a one to one match.
>>
>> (setq tramp-smb-program "smbutil")
>
> smbutil is another program, not compatible with smbclient. So it is
> expected to fail.
>
> If there is no smbclient program on your machine, there is nothing
> Emacs/Tramp could do for you.
>
> Best regards, Michael.